/*==========================================================================*\
 |  This file is part of setiherder (http://www.sackheads.org/setiherder/)  |
 |  which was written by Brian L. Naylor <brian+seti@sackheads.org> and is  |
 |  under the GNU General Public License.  You should have recieved a copy  |
 |  of the GPL with this source code.  If not, we'd like to know about it.  |
\*--------------------------------------------------------------------------*/

#ifndef SH_PROC
#define SH_PROC

#include <gtk/gtk.h>
#include "shtypes.h"

sh_rc shproc_init(void);
sh_rc shproc_client_spawn(sh_client_t *);
sh_rc shproc_client_terminate(sh_client_t *);
void  shproc_signal_handler(int sig);
gint  shproc_restart_check(gpointer data);
void  cleanup();

#endif
